<?php

/**
 * Prevent loading this file directly
 */
defined( 'ABSPATH' ) || exit();

$ld_archive_layout = LMSMart_Theme_Helper::get_mb_option('ld_archive_layout');
$ld_see_more_text = LMSMart_Theme_Helper::get_mb_option('ld_see_more_text');
$ld_archive_hide_media = LMSMart_Theme_Helper::get_mb_option('ld_archive_hide_media');
$ld_archive_hide_categories = LMSMart_Theme_Helper::get_mb_option('ld_archive_hide_categories');
$ld_archive_hide_categories_popup = LMSMart_Theme_Helper::get_mb_option('ld_archive_hide_categories_popup');
$ld_archive_hide_price = LMSMart_Theme_Helper::get_mb_option('ld_archive_hide_price');
$ld_archive_hide_title = LMSMart_Theme_Helper::get_mb_option('ld_archive_hide_title');
$ld_archive_hide_title_popup = LMSMart_Theme_Helper::get_mb_option('ld_archive_hide_title_popup');
$ld_archive_hide_created_by = LMSMart_Theme_Helper::get_mb_option('ld_archive_hide_created_by');
$ld_archive_hide_created_by_popup = LMSMart_Theme_Helper::get_mb_option('ld_archive_hide_created_by_popup');
$ld_archive_hide_lessons = LMSMart_Theme_Helper::get_mb_option('ld_archive_hide_lessons');
$ld_archive_hide_lessons_popup = LMSMart_Theme_Helper::get_mb_option('ld_archive_hide_lessons_popup');
$ld_archive_hide_lessons_text = LMSMart_Theme_Helper::get_mb_option('ld_archive_hide_lessons_text');
$ld_archive_hide_lessons_text_popup = LMSMart_Theme_Helper::get_mb_option('ld_archive_hide_lessons_text_popup');
$ld_archive_hide_topic = LMSMart_Theme_Helper::get_mb_option('ld_archive_hide_topic');
$ld_archive_hide_topic_popup = LMSMart_Theme_Helper::get_mb_option('ld_archive_hide_topic_popup');
$ld_archive_hide_topic_text = LMSMart_Theme_Helper::get_mb_option('ld_archive_hide_topic_text');
$ld_archive_hide_topic_text_popup = LMSMart_Theme_Helper::get_mb_option('ld_archive_hide_topic_text_popup');
$ld_archive_hide_preview_btn = LMSMart_Theme_Helper::get_mb_option('ld_archive_hide_preview_btn');
$ld_archive_hide_enroll_btn = LMSMart_Theme_Helper::get_mb_option('ld_archive_hide_enroll_btn');
$ld_enroll_now_text = LMSMart_Theme_Helper::get_mb_option('ld_enroll_now_text');
$ld_archive_enroll_btn_switch = LMSMart_Theme_Helper::get_mb_option('ld_archive_enroll_btn_switch');
$ld_archive_hide_excerpt_content = LMSMart_Theme_Helper::get_mb_option('ld_archive_hide_excerpt_content');
$ld_archive_hide_excerpt_content_popup = LMSMart_Theme_Helper::get_mb_option('ld_archive_hide_excerpt_content_popup');
$ld_free_text = LMSMart_Theme_Helper::get_mb_option('ld_free_text');
$ld_enrolled_text = LMSMart_Theme_Helper::get_mb_option('ld_enrolled_text');
$ld_completed_text = LMSMart_Theme_Helper::get_mb_option('ld_completed_text');

$ld_tf_hover_popup_type = LMSMart_Theme_Helper::get_mb_option('ld_tf_hover_popup_type');

 if (class_exists('SFWD_LMS')) {

   // For ribbon_text 
   global $post; $post_id = $post->ID;
   $course_id = $post_id;
   $user_id   = get_current_user_id();
   $current_id = $post->ID;

   $options = get_option('sfwd_cpt_options');


   $currency = null;

   if ( ! is_null( $options ) ) {
      if ( isset($options['modules'] ) && isset( $options['modules']['sfwd-courses_options'] ) && isset( $options['modules']['sfwd-courses_options']['sfwd-courses_paypal_currency'] ) )
         $currency = $options['modules']['sfwd-courses_options']['sfwd-courses_paypal_currency'];

   }

   if( is_null( $currency ) )
      $currency = 'USD';

   $course_options = get_post_meta($post_id, "_sfwd-courses", true);


   $price = $course_options && isset($course_options['sfwd-courses_course_price']) ? $course_options['sfwd-courses_course_price'] : $ld_free_text;

   $has_access   = sfwd_lms_has_access( $course_id, $user_id );
   $is_completed = learndash_course_completed( $user_id, $course_id );

   if( $price == '' )
      $price .= $ld_free_text;

   if ( is_numeric( $price ) ) {
      if ( $currency == "USD" )
         $price = '$' . $price;
      else
         $price .= ' ' . $currency;
   }

   $class       = '';
   $ribbon_text = '';

   if ( $has_access && ! $is_completed ) {
      $class = 'ld_course_grid_price ribbon-enrolled';
      $ribbon_text = $ld_enrolled_text;
   } elseif ( $has_access && $is_completed ) {
      $class = 'ld_course_grid_price';
      $ribbon_text = $learndash_completed_text;
   } else {
      $class = ! empty( $course_options['sfwd-courses_course_price'] ) ? 'ld_course_grid_price price_' . $currency : 'ld_course_grid_price free';
      $ribbon_text = $price;
   }
?>

<?php 
  // For legacy_short_description
	$legacy_short_description = '';
	if ( $post_type == 'sfwd-courses' ) {
	    $legacy_short_description = isset( $course_options['sfwd-courses_course_short_description'] ) ? $course_options['sfwd-courses_course_short_description'] : '';
	}

	if ( ! empty( $cg_short_description ) ) {
	    $short_description = $cg_short_description;
	} elseif ( ! empty( $legacy_short_description ) ) {
	    $short_description = $legacy_short_description;
	} else {
	    $short_description = '';
	}
 ?>
<?php if ($ld_archive_layout == '3'): ?>
	<article class="tpc-course">

	<?php  if ($ld_tf_hover_popup_type == 'show_content_popup') : ?>
		<div class="course__popup-wrap">

			<?php if (!$ld_archive_hide_created_by_popup): ?>
		        <div class="tpc-course-author-name">
		            <?php echo get_avatar( get_the_author_meta( 'ID' ), 32 ); ?>
		            <?php echo get_the_author(); ?>
		        </div>
			<?php endif; ?>

			  <div class="courses-content">

				<div class="course__top-meta">
					 <?php if (!$ld_archive_hide_categories): ?>
						<div class="course__categories ">
							<?php echo get_the_term_list(get_the_ID(), 'ld_course_category'); ?>
						</div>
					 <?php endif; ?>
					 <div class="price">
					 	  <?php get_template_part('templates/learndash/price_within_button_2'); ?>
					 </div>
				</div>

				<?php if (!$ld_archive_hide_title_popup): ?>
				<h4 class="course__title">
					<a href="<?php the_permalink(); ?>" class="course__title-link">
						<?php the_title(); ?>
					</a>
				</h4>
				<?php endif; ?>
			 </div>
			<div class="course__content--meta"> 

				<?php if (!$ld_archive_hide_lessons_popup): 
						$lesson  = learndash_get_course_steps( get_the_ID(), array('sfwd-lessons') );
						$lesson = $lesson ? count($lesson) : 0;
						$lesson_text = ('1' == $lesson) ? esc_html__('Lesson', 'lmsmart') : esc_html__('Lessons', 'lmsmart'); ?>
						<span class="course-lesson"> 
							<i class="flaticon-book-1"></i> 
							<?php echo esc_html($lesson); ?>
							<?php if (!$ld_archive_hide_lessons_text_popup): ?>
							<?php echo esc_html($lesson_text); ?>
							<?php endif; ?>
						</span>
				<?php endif; ?>

				<?php if (!$ld_archive_hide_topic_popup): ?>
					<span class="course-lessons">
					<?php 						
						$topic  = learndash_get_course_steps( get_the_ID(), array( 'sfwd-topic') );
						$topic = $topic ? count($topic) : 0;
						$topic_text = ('1' == $topic) ? esc_html__('Topic', 'lmsmart') : esc_html__('Topics', 'lmsmart'); ?>
						<span class="course-topic"> 
							<i class="flaticon-edit-file"></i> 
							<?php echo esc_html($topic); ?>
							<?php if (!$ld_archive_hide_topic_text_popup): ?>
							<?php echo esc_html($topic_text); ?>
							<?php endif; ?>
						</span>
					</span>

				<?php endif; ?>

			</div>
			<?php if (!$ld_archive_hide_excerpt_content_popup): ?>
	          <div class="course__excerpt">
	            <p><?php echo esc_html( $short_description ); ?></p>
	         </div>
			<?php endif; ?>

			<?php if (!$ld_archive_hide_preview_btn): ?>
			<div class="btn__wrap">
				<a class="btn__a" href="<?php the_permalink(); ?>"><?php esc_html_e( 'Preview This Course', 'lmsmart' ); ?></a>
			</div>
			<?php endif; ?>
		</div>
	<?php endif; ?>

		<div class="course__container">

			<div class="tpc-video_popup with_image">
				<div class="videobox_content">

			<?php if (!$ld_archive_hide_media): ?>
				<div class="course__media">

					<?php if ( has_post_thumbnail() ):?>
					  <a class="course__media-link" href="<?php the_permalink(); ?>">
					    <?php the_post_thumbnail('medium');?>
					  </a>
					 <?php endif; ?>

				</div>
			<?php endif ?>

				<?php       
					if (class_exists('RWMB_Loader') && $ld_tf_hover_popup_type == 'show_video_popup') {
					$ld_intro_video = rwmb_meta('ld_intro_video');
				?>

				<div class="videobox_link_wrapper">

					<div class="videobox_link" data-lity="" href="<?php echo esc_url( $ld_intro_video ); ?>">
						<svg class="videobox_icon" width="33%" height="33%" viewBox="0 0 232 232"><path d="M203,99L49,2.3c-4.5-2.7-10.2-2.2-14.5-2.2 c-17.1,0-17,13-17,16.6v199c0,2.8-0.07,16.6,17,16.6c4.3,0,10,0.4,14.5-2.2 l154-97c12.7-7.5,10.5-16.5,10.5-16.5S216,107,204,100z"></path>
						</svg>
					</div>
				</div>
			<?php  }  // End video popup ?>
			</div>
		</div>

			<div class="course__content">
				<div class="course__content--info">

					<div class="course__top-meta">
					 <?php if (!$ld_archive_hide_categories): ?>
						<div class="course__categories ">
							<?php echo get_the_term_list(get_the_ID(), 'ld_course_category'); ?>
						</div>
					 <?php endif; ?>
					  <?php get_template_part('templates/learndash/price_within_button_2'); ?>
					</div>
 
					<?php if (!$ld_archive_hide_title): ?>
					<h4 class="course__title">
						<a href="<?php the_permalink(); ?>" class="course__title-link">
							<?php the_title(); ?>
						</a>
					</h4>
					<?php endif; ?>

					<?php if (!$ld_archive_hide_created_by): ?>
				        <div class="tpc-course-author-name">
				            <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ))); ?>"><?php echo get_avatar( get_the_author_meta( 'ID' ), 32 ); ?></a>
				            <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ))); ?>"><?php echo get_the_author(); ?></a>
				        </div>
					<?php endif; ?>

					<div class="course-meta">
					<?php if (!$ld_archive_hide_topic): 

						$topic  = learndash_get_course_steps( get_the_ID(), array( 'sfwd-topic') );
						$topic = $topic ? count($topic) : 0;
						$topic_text = ('1' == $topic) ? esc_html__('Topic', 'lmsmart') : esc_html__('Topics', 'lmsmart'); ?>
						<span class="course-topic"> 
							<i class="flaticon-edit-file"></i> 
							<?php echo esc_html($topic); ?>
							<?php if (!$ld_archive_hide_topic_text): ?>
							<?php echo esc_html($topic_text); ?>
							<?php endif; ?>
						</span>

					<?php endif; ?>

					</div>

				</div>
				<div class="course__content--meta"> 

					<?php if (!$ld_archive_hide_lessons): 

						$lesson  = learndash_get_course_steps( get_the_ID(), array('sfwd-lessons') );
						$lesson = $lesson ? count($lesson) : 0;
						$lesson_text = ('1' == $lesson) ? esc_html__('Lesson', 'lmsmart') : esc_html__('Lessons', 'lmsmart'); ?>
						<span class="course-lesson"> 
							<i class="flaticon-book-1"></i> 
							<?php echo esc_html($lesson); ?>
							<?php if (!$ld_archive_hide_lessons_text): ?>
							<?php echo esc_html($lesson_text); ?>
							<?php endif; ?>
						</span>

					<?php endif; ?>

					<?php if ( function_exists( 'ldcr_course_rating_stars' ) ) { 
							ldcr_course_rating_stars();
						}
					?>	
			      
				</div>
			</div>

		</div>
	</article>
<?php elseif ($ld_archive_layout == '2'): ?>
	<article class="tpc-course">


	<?php  if ($ld_tf_hover_popup_type == 'show_content_popup') : ?>
		<div class="course__popup-wrap">

			<?php if (!$ld_archive_hide_created_by_popup): ?>
		        <div class="tpc-course-author-name">
		            <?php echo get_avatar( get_the_author_meta( 'ID' ), 32 ); ?>
		            <?php echo get_the_author(); ?>
		        </div>
			<?php endif; ?>

			  <div class="courses-content">

				<div class="course__top-meta">
					 <?php if (!$ld_archive_hide_categories): ?>
						<div class="course__categories ">
							<?php echo get_the_term_list(get_the_ID(), 'ld_course_category'); ?>
						</div>
					 <?php endif; ?>
					 <div class="price">
					 	  <?php get_template_part('templates/learndash/price_within_button_2'); ?>
					 </div>
				</div>

				<?php if (!$ld_archive_hide_title_popup): ?>
				<h4 class="course__title">
					<a href="<?php the_permalink(); ?>" class="course__title-link">
						<?php the_title(); ?>
					</a>
				</h4>
				<?php endif; ?>
			 </div>
			<div class="course__content--meta"> 

				<?php if (!$ld_archive_hide_lessons_popup): 
						$lesson  = learndash_get_course_steps( get_the_ID(), array('sfwd-lessons') );
						$lesson = $lesson ? count($lesson) : 0;
						$lesson_text = ('1' == $lesson) ? esc_html__('Lesson', 'lmsmart') : esc_html__('Lessons', 'lmsmart'); ?>
						<span class="course-lesson"> 
							<i class="flaticon-book-1"></i> 
							<?php echo esc_html($lesson); ?>
							<?php if (!$ld_archive_hide_lessons_text_popup): ?>
							<?php echo esc_html($lesson_text); ?>
							<?php endif; ?>
						</span>
				<?php endif; ?>

				<?php if (!$ld_archive_hide_topic_popup): ?>
					<span class="course-lessons">
					<?php 						
						$topic  = learndash_get_course_steps( get_the_ID(), array( 'sfwd-topic') );
						$topic = $topic ? count($topic) : 0;
						$topic_text = ('1' == $topic) ? esc_html__('Topic', 'lmsmart') : esc_html__('Topics', 'lmsmart'); ?>
						<span class="course-topic"> 
							<i class="flaticon-edit-file"></i> 
							<?php echo esc_html($topic); ?>
							<?php if (!$ld_archive_hide_topic_text_popup): ?>
							<?php echo esc_html($topic_text); ?>
							<?php endif; ?>
						</span>
					</span>

				<?php endif; ?>

			</div>
			<?php if (!$ld_archive_hide_excerpt_content_popup): ?>
	          <div class="course__excerpt">
	            <p><?php echo esc_html( $short_description ); ?></p>
	         </div>
			<?php endif; ?>

			<?php if (!$ld_archive_hide_preview_btn): ?>
			<div class="btn__wrap">
				<a class="btn__a" href="<?php the_permalink(); ?>"><?php esc_html_e( 'Preview This Course', 'lmsmart' ); ?></a>
			</div>
			<?php endif; ?>
		</div>
	<?php endif; ?>

		<div class="course__container">

			<?php if (!$ld_archive_hide_media): ?>
				<div class="course__media">

					<?php if ( has_post_thumbnail() ):?>
					  <a class="course__media-link" href="<?php the_permalink(); ?>">
					    <?php the_post_thumbnail('medium');?>
					  </a>
					 <?php endif; ?>

				</div>
			<?php endif ?>

			<div class="course__content">
				<div class="course__content--info">

					<div class="course__top-meta">
					 <?php if (!$ld_archive_hide_categories): ?>
						<div class="course__categories ">
							<?php echo get_the_term_list(get_the_ID(), 'ld_course_category'); ?>
						</div>
					 <?php endif; ?>
					  <?php get_template_part('templates/learndash/price_within_button'); ?>
					</div>
 
					<?php if (!$ld_archive_hide_title): ?>
					<h4 class="course__title">
						<a href="<?php the_permalink(); ?>" class="course__title-link">
							<?php the_title(); ?>
						</a>
					</h4>
					<?php endif; ?>

					<?php if (!$ld_archive_hide_created_by): ?>
				        <div class="tpc-course-author-name">
				            <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ))); ?>"><?php echo get_avatar( get_the_author_meta( 'ID' ), 32 ); ?></a>
				            <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ))); ?>"><?php echo get_the_author(); ?></a>
				        </div>
					<?php endif; ?>


					<div class="course-meta">
					<?php if (!$ld_archive_hide_topic): 

						$topic  = learndash_get_course_steps( get_the_ID(), array( 'sfwd-topic') );
						$topic = $topic ? count($topic) : 0;
						$topic_text = ('1' == $topic) ? esc_html__('Topic', 'lmsmart') : esc_html__('Topics', 'lmsmart'); ?>
						<span class="course-topic"> 
							<i class="flaticon-edit-file"></i> 
							<?php echo esc_html($topic); ?>
							<?php if (!$ld_archive_hide_topic_text): ?>
							<?php echo esc_html($topic_text); ?>
							<?php endif; ?>
						</span>

					<?php endif; ?>

					</div>

				</div>
				<div class="course__content--meta"> 

					<?php if (!$ld_archive_hide_lessons): 

						$lesson  = learndash_get_course_steps( get_the_ID(), array('sfwd-lessons') );
						$lesson = $lesson ? count($lesson) : 0;
						$lesson_text = ('1' == $lesson) ? esc_html__('Lesson', 'lmsmart') : esc_html__('Lessons', 'lmsmart'); ?>
						<span class="course-lesson"> 
							<i class="flaticon-book-1"></i> 
							<?php echo esc_html($lesson); ?>
							<?php if (!$ld_archive_hide_lessons_text): ?>
							<?php echo esc_html($lesson_text); ?>
							<?php endif; ?>
						</span>

					<?php endif; ?>

					<?php if ( function_exists( 'ldcr_course_rating_stars' ) ) { 
							ldcr_course_rating_stars();
						}
					?>	
			      
				</div>
			</div>

		</div>
	</article>
<?php else : ?>	
	<article class="tpc-course">

	<?php  if ($ld_tf_hover_popup_type == 'show_content_popup') : ?>
		<div class="course__popup-wrap">

			<?php if (!$ld_archive_hide_created_by_popup): ?>
		        <div class="tpc-course-author-name">
		            <?php echo get_avatar( get_the_author_meta( 'ID' ), 32 ); ?>
		            <?php echo get_the_author(); ?>
		        </div>
			<?php endif; ?>

			  <div class="courses-content">

				<div class="course__top-meta">
					 <?php if (!$ld_archive_hide_categories): ?>
						<div class="course__categories ">
							<?php echo get_the_term_list(get_the_ID(), 'ld_course_category'); ?>
						</div>
					 <?php endif; ?>
					 <div class="price">
					 	  <?php get_template_part('templates/learndash/price_within_button_2'); ?>
					 </div>
				</div>

				<?php if (!$ld_archive_hide_title_popup): ?>
				<h4 class="course__title">
					<a href="<?php the_permalink(); ?>" class="course__title-link">
						<?php the_title(); ?>
					</a>
				</h4>
				<?php endif; ?>
			 </div>
			<div class="course__content--meta"> 

				<?php if (!$ld_archive_hide_lessons_popup): 
						$lesson  = learndash_get_course_steps( get_the_ID(), array('sfwd-lessons') );
						$lesson = $lesson ? count($lesson) : 0;
						$lesson_text = ('1' == $lesson) ? esc_html__('Lesson', 'lmsmart') : esc_html__('Lessons', 'lmsmart'); ?>
						<span class="course-lesson"> 
							<i class="flaticon-book-1"></i> 
							<?php echo esc_html($lesson); ?>
							<?php if (!$ld_archive_hide_lessons_text_popup): ?>
							<?php echo esc_html($lesson_text); ?>
							<?php endif; ?>
						</span>
				<?php endif; ?>

				<?php if (!$ld_archive_hide_topic_popup): ?>
					<span class="course-lessons">
					<?php 						
						$topic  = learndash_get_course_steps( get_the_ID(), array( 'sfwd-topic') );
						$topic = $topic ? count($topic) : 0;
						$topic_text = ('1' == $topic) ? esc_html__('Topic', 'lmsmart') : esc_html__('Topics', 'lmsmart'); ?>
						<span class="course-topic"> 
							<i class="flaticon-edit-file"></i> 
							<?php echo esc_html($topic); ?>
							<?php if (!$ld_archive_hide_topic_text_popup): ?>
							<?php echo esc_html($topic_text); ?>
							<?php endif; ?>
						</span>
					</span>

				<?php endif; ?>

			</div>
			<?php if (!$ld_archive_hide_excerpt_content_popup): ?>
	          <div class="course__excerpt">
	            <p><?php echo esc_html( $short_description ); ?></p>
	         </div>
			<?php endif; ?>

			<?php if (!$ld_archive_hide_preview_btn): ?>
			<div class="btn__wrap">
				<a class="btn__a" href="<?php the_permalink(); ?>"><?php esc_html_e( 'Preview This Course', 'lmsmart' ); ?></a>
			</div>
			<?php endif; ?>
		</div>
	<?php endif; ?>
	
		<div class="course__container">

			<?php if (!$ld_archive_hide_media): ?>
				<div class="course__media">

					<?php if ( has_post_thumbnail() ):?>
					  <a class="course__media-link" href="<?php the_permalink(); ?>">
					    <?php the_post_thumbnail('medium');?>
					  </a>
					 <?php endif; ?>

				</div>
			<?php endif ?>

			<div class="course__content">
				<div class="course__content--info">

					<div class="course__top-meta">
					 <?php if (!$ld_archive_hide_categories): ?>
						<div class="course__categories ">
							<?php echo get_the_term_list(get_the_ID(), 'ld_course_category'); ?>
						</div>
					 <?php endif; ?>
					</div>
 

					<?php if (!$ld_archive_hide_created_by): ?>
				        <div class="tpc-course-author-name">
				            <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ))); ?>"><?php echo get_avatar( get_the_author_meta( 'ID' ), 32 ); ?></a>
				            <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ))); ?>"><?php echo get_the_author(); ?></a>
				        </div>
					<?php endif; ?>
					<?php if (!$ld_archive_hide_title): ?>
					<h4 class="course__title">
						<a href="<?php the_permalink(); ?>" class="course__title-link">
							<?php the_title(); ?>
						</a>
					</h4>
					<?php endif; ?>

					<?php if (!$ld_archive_hide_excerpt_content): ?>
						<div class="course__excerpt">
							<p><?php echo esc_html( $short_description ); ?></p>
						</div>
					<?php endif; ?>

				</div>
				<div class="course__content--meta"> 

					<?php if (!$ld_archive_hide_lessons): 

						$lesson  = learndash_get_course_steps( get_the_ID(), array('sfwd-lessons') );
						$lesson = $lesson ? count($lesson) : 0;
						$lesson_text = ('1' == $lesson) ? esc_html__('Lesson', 'lmsmart') : esc_html__('Lessons', 'lmsmart'); ?>
						<span class="course-lesson"> 
							<i class="flaticon-book-1"></i> 
							<?php echo esc_html($lesson); ?>
							<?php if (!$ld_archive_hide_lessons_text): ?>
							<?php echo esc_html($lesson_text); ?>
							<?php endif; ?>
						</span>

					<?php endif; ?>

					<?php if (!$ld_archive_hide_topic): 

						$topic  = learndash_get_course_steps( get_the_ID(), array( 'sfwd-topic') );
						$topic = $topic ? count($topic) : 0;
						$topic_text = ('1' == $topic) ? esc_html__('Topic', 'lmsmart') : esc_html__('Topics', 'lmsmart'); ?>
						<span class="course-topic"> 
							<i class="flaticon-edit-file"></i> 
							<?php echo esc_html($topic); ?>
							<?php if (!$ld_archive_hide_topic_text): ?>
							<?php echo esc_html($topic_text); ?>
							<?php endif; ?>
						</span>

					<?php endif; ?>


			         <?php if (!$ld_archive_hide_enroll_btn): ?>	
		                <div class="ld-enroll-btn">
			                <?php if ( $ld_archive_enroll_btn_switch  ) { ?>

			                <?php if ( $has_access && ! $is_completed ) { ?>
			                  	<?php echo esc_html( $ld_enrolled_text ); ?>
			                <?php } elseif($has_access && $is_completed ) { ?>
			                	<?php echo esc_html( $learndash_completed_text ); ?>
			                <?php } else { ?>
			                	<a href="<?php the_permalink(); ?>"><?php echo esc_html( $learndash_enroll_now_text ); ?></a>
			                <?php } ?>

			                <?php } else { ?>
			                   <a href="<?php the_permalink(); ?>"><span class="ld-enroll-btn-icon"><i class="flaticon-right-arrow-2"></i></span></a>
			                <?php } ?>
		                </div>
					 <?php endif ?>
					 
				</div>
			</div>

		</div>
	</article>
<?php endif ?>
<?php } //if class exist learndash ?>